SystemOrganization addCategory: #'Pier-Gallery'!
SystemOrganization addCategory: #'Pier-Gallery-Model'!
SystemOrganization addCategory: #'Pier-Gallery-Seaside'!

!PRStructure methodsFor: '*pier-gallery-model-testing' stamp: 'damiencassou 11/18/2008 13:18'!
isGallery
	^ false! !

!PRStructure methodsFor: '*pier-gallery-model-testing' stamp: 'damiencassou 11/18/2008 13:18'!
isPicture
	^ false! !

!PRVisitor methodsFor: '*pier-gallery-model-visiting-structure' stamp: 'damiencassou 11/18/2008 13:27'!
visitGallery: aGallery
	self visitCase: aGallery! !

!PRVisitor methodsFor: '*pier-gallery-model-visiting-structure' stamp: 'damiencassou 11/18/2008 13:29'!
visitPicture: aPicture
	self visitCase: aPicture! !

PRDefaultView subclass: #PGGalleryHtmlView
	instanceVariableNames: 'gallery'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Gallery-Seaside'!

PGGalleryHtmlView class
	instanceVariableNames: 'gallery'!

PGGalleryHtmlView class
	instanceVariableNames: 'gallery'!

!PGGalleryHtmlView class methodsFor: 'as yet unclassified' stamp: 'damiencassou 11/18/2008 13:44'!
gallery
	^ gallery ifNil: [ gallery := self find: PGGallery]! !

!PGGalleryHtmlView class methodsFor: 'testing' stamp: 'damiencassou 11/18/2008 13:37'!
isAbstract
	^ false! !

!PGGalleryHtmlView class methodsFor: 'as yet unclassified' stamp: 'damiencassou 11/18/2008 13:43'!
pictures
	^ self gallery allPostsIn: self context! !

!PGGalleryHtmlView methodsFor: 'as yet unclassified' stamp: 'damiencassou 11/18/2008 13:38'!
renderContentOn: html
	super renderContentOn: html.
	html text: 'PGGalleryHtmlView>>renderContentOn:'! !

PRCase subclass: #PGGallery
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Gallery-Model'!

!PGGallery class methodsFor: 'testing' stamp: 'damiencassou 11/18/2008 13:40'!
canBeParentOf: aStructureClass
	^ aStructureClass includesBehavior: PGPicture ! !

!PGGallery class methodsFor: 'accessing-description' stamp: 'damiencassou 11/18/2008 13:24'!
descriptionDocument
	^ super descriptionDocument
		label: 'Description';
		yourself! !

!PGGallery class methodsFor: 'accessing-description' stamp: 'damiencassou 11/18/2008 13:31'!
descriptionTitle
	^ super descriptionTitle
		comment: 'Title of the gallery';
		yourself! !

!PGGallery class methodsFor: 'testing' stamp: 'damiencassou 11/18/2008 13:24'!
isAbstract
	^ false! !

!PGGallery methodsFor: 'visitor accepting' stamp: 'damiencassou 11/18/2008 13:26'!
accept: aVisitor
	aVisitor visitGallery: self! !

!PGGallery methodsFor: 'accessing-dynamic' stamp: 'damiencassou 11/18/2008 13:20'!
allPicturesIn: aContext
	^ (aContext enumeratorFor: self)
		select: [:child | child isPicture]! !

!PGGallery methodsFor: 'testing' stamp: 'damiencassou 11/18/2008 13:18'!
isGallery
	^ true! !

!PGGallery methodsFor: '*pier-gallery-seaside' stamp: 'damiencassou 11/18/2008 13:46'!
viewComponentClass
	^ PGGalleryHtmlView ! !

PRCase subclass: #PGPicture
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Gallery-Model'!

!PGPicture class methodsFor: 'as yet unclassified' stamp: 'damiencassou 11/18/2008 13:39'!
canBeChildOf: aClass
	^ aClass includesBehavior: PGGallery ! !

!PGPicture class methodsFor: 'accessing-description' stamp: 'damiencassou 11/18/2008 13:33'!
descriptionDocument
	^ super descriptionDocument
		label: 'Description';
		yourself! !

!PGPicture class methodsFor: 'accessing-description' stamp: 'damiencassou 11/18/2008 13:32'!
descriptionTitle
	^ super descriptionTitle 
		comment: 'Title of the picture';
		yourself! !

!PGPicture class methodsFor: 'as yet unclassified' stamp: 'damiencassou 11/18/2008 13:41'!
isAbstract
	^ false! !

!PGPicture methodsFor: 'visitor accepting' stamp: 'damiencassou 11/18/2008 13:28'!
accept: aVisitor
	aVisitor visitPicture: self! !

!PGPicture methodsFor: 'testing' stamp: 'damiencassou 11/18/2008 13:17'!
isPicture
	^ true! !
